# Class NormalizationChecker

java.lang.Object
nu.validator.htmlparser.extra.NormalizationChecker

All Implemented Interfaces:
  `CharacterHandler`

public final class NormalizationChecker extends Object implements CharacterHandler

Version:
  $Id$
Author:
  hsivonen

## Constructor Summary

Constructors
Constructor
Description
`NormalizationChecker(Locator locator)`
Constructor with mode selection.

## Method Summary

Modifier and Type
Method
Description
`void`
`characters(char[] ch, int start, int length)`
Receive notification of a run of UTF-16 code units.
`void`
`end()`
Signals the end of the stream.
`void`
`err(String message)`
Emit an error.
`void`
`setErrorHandler(ErrorHandler errorHandler)`
`void`
`start()`
Signals the start of the stream.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NormalizationChecker

public NormalizationChecker(Locator locator)
Constructor with mode selection.

Parameters:
  `sourceTextMode` - whether the source text-related messages should be enabled.

## Method Details

### err

public void err(String message) throws SAXException
Emit an error. The locator is used.

Parameters:
  `message` - the error message
Throws:
  `SAXException` - if something goes wrong

### start

public void start()
Description copied from interface: `CharacterHandler`
Signals the start of the stream. Can be used for setup.

Specified by:
  `start` in interface `CharacterHandler`
See Also:
  - `CharacterHandler.start()`

### characters

public void characters(char[] ch, int start, int length) throws SAXException
Description copied from interface: `CharacterHandler`
Receive notification of a run of UTF-16 code units.

Specified by:
  `characters` in interface `CharacterHandler`
Parameters:
  `ch` - the buffer
  `start` - start index in the buffer
  `length` - the number of characters to process starting from `start`
Throws:
  `SAXException` - if things go wrong
See Also:
  - `CharacterHandler.characters(char[], int, int)`

### end

public void end() throws SAXException
Description copied from interface: `CharacterHandler`
Signals the end of the stream. Can be used for cleanup. Doesn't mean that the stream ended successfully.

Specified by:
  `end` in interface `CharacterHandler`
Throws:
  `SAXException` - if things go wrong
See Also:
  - `CharacterHandler.end()`

### setErrorHandler

public void setErrorHandler(ErrorHandler errorHandler)